 /*
  Special char test for i2C LCD
  http://www.electronoobs.com
  http://www.youtube.com/c/ELECTRONOOBS
 */
 
#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
LiquidCrystal_I2C lcd(0x3f,20,4);  //sometimes the adress is not 0x3f. Change to 0x27 if it dosn't work.


uint8_t arrow[8] = {0x00, 0x04 ,0x06, 0x1f, 0x06, 0x04, 0x00}; //Send 0,4,6,1F,6,4,0 for the arrow


void setup() {
  
  lcd.init();
  lcd.backlight();
    
  lcd.createChar(0, arrow); //We create the data to be sent later using lcd.write
}



void loop() { 
  lcd.home();           //Home the cursor
  lcd.clear();          //Clear the LCD
  lcd.setCursor(0,0);   //Stat at the first row first column
  lcd.write(0);         //Sent the character that we've made
  delay(3000);          //delay between each loop
}//end of void



